Name:           wmlaptop
Version:        1.4
Release:        %mkrel 6
Summary:        A dock application to monitor your laptop's battery and more
License:        GPLv2
Group:          Monitoring

URL:            http://wmlaptop.sourceforge.net
Source0:        http://sourceforge.net/projects/wmlaptop/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz

#replace all calls to /proc/acpi to /sys/class/power_supply
Patch0:         wmlaptop-1.4-sysfs.patch

BuildRequires:  glibc-devel
BuildRequires:  libxext-devel
BuildRequires:  libxcb-devel
BuildRequires:  libxau-devel
BuildRequires:  libxpm-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libx11-devel 


%description
Wmlaptop is a dock application for WindowMaker, or any other window
manager that supports docking, which includes all that a Linux user
with a laptop needs. The smartest should have guess that wmlaptop
includes an advanced battery information interface, with an estimated
battery duration time indicator. But that's only one of the useful
functions provided by wmlaptop, checkout the README file in
%{_docdir}/%{name} for more information.


%prep
%setup -q 
%patch0 -p0 -b .old


%build
%make CFLAGS="%optflags" LIBDIR="%ldflags"


%install
rm -rf %{buildroot}
chmod 644 README*
install -D -m 755 src/wmlaptop %{buildroot}%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG LICENSE BUGS README README.IT THANKS
%{_bindir}/%{name}





%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4-6.mga4
+ Revision: 520258
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4-5.mga3
+ Revision: 385766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.4-4.mga3
+ Revision: 314665
- Rebuild for mga3

* Sat Feb 11 2012 eatdirt <eatdirt> 1.4-3.mga2
+ Revision: 207469
- Add support for reading "ENERGY" entry in sysfs power_supply class
  (bug 4399)

* Thu Feb 09 2012 eatdirt <eatdirt> 1.4-2.mga2
+ Revision: 206593
- Replace deprecated calls to /proc/acpi/ by /sys (bug 4399)

* Fri Nov 11 2011 eatdirt <eatdirt> 1.4-1.mga2
+ Revision: 166789
- imported package wmlaptop


* Fri Nov 11 2011 Chris Ringeval <dirteat@gmail.com> 1.4-1.mga2
- import wmlaptop
